Bug 804450 - SELinux is preventing /usr/libexec/polkit-1/polkit-agent-helper-1 from 'read' accesses on the file /var/log/gdm/:0-greeter.log.
SELinux is preventing /usr/libexec/polkit-1/polkit-agent-helper-1 from 'read'...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:e0ddc40b08e4add74d2707132c5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-18 17:32 EDT by collura
Modified: 2012-12-15 14:29 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-15 14:29:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description collura 2012-03-18 17:32:53 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-0.rc6.git0.2.fc17.x86_64
reason:         SELinux is preventing /usr/libexec/polkit-1/polkit-agent-helper-1 from 'read' accesses on the file /var/log/gdm/:0-greeter.log.
time:           Sun 18 Mar 2012 05:31:37 PM EDT

description:
:SELinux is preventing /usr/libexec/polkit-1/polkit-agent-helper-1 from 'read' accesses on the file /var/log/gdm/:0-greeter.log.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that polkit-agent-helper-1 should be allowed read access on the :0-greeter.log file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep polkit-agent-he /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:policykit_auth_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:xdm_log_t:s0
:Target Objects                /var/log/gdm/:0-greeter.log [ file ]
:Source                        polkit-agent-he
:Source Path                   /usr/libexec/polkit-1/polkit-agent-helper-1
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           polkit-0.104-6.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-95.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed)
:                              3.3.0-0.rc6.git0.2.fc17.x86_64 #1 SMP Mon Mar 5
:                              16:54:07 UTC 2012 x86_64 x86_64
:Alert Count                   5
:First Seen                    Wed 14 Mar 2012 01:18:42 AM EDT
:Last Seen                     Sat 17 Mar 2012 03:03:46 PM EDT
:Local ID                      c5f312e4-f92f-4242-845f-e851aae3abca
:
:Raw Audit Messages
:type=AVC msg=audit(1332011026.953:92): avc:  denied  { read } for  pid=1940 comm="polkit-agent-he" path="/var/log/gdm/:0-greeter.log" dev="sda5" ino=1609 scontext=system_u:system_r:policykit_auth_t:s0-s0:c0.c1023 tcontext=system_u:object_r:xdm_log_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1332011026.953:92): arch=x86_64 syscall=execve success=yes exit=0 a0=3f0f207248 a1=7fff1643f920 a2=89a910 a3=7fff1643f420 items=0 ppid=1921 pid=1940 auid=42 uid=42 gid=42 euid=0 suid=0 fsuid=0 egid=42 sgid=42 fsgid=42 tty=(none) ses=5 comm=polkit-agent-he exe=/usr/libexec/polkit-1/polkit-agent-helper-1 subj=system_u:system_r:policykit_auth_t:s0-s0:c0.c1023 key=(null)
:
:Hash: polkit-agent-he,policykit_auth_t,xdm_log_t,file,read
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:

Note You need to log in before you can comment on or make changes to this bug.